# a tiny compile is without Neogeo games
COREDEFS += -DTINY_COMPILE=1
#COREDEFS += -DTINY_NAME="driver_dkong"
#COREDEFS += -DTINY_POINTER="&driver_dkong"
COREDEFS += -DTINY_NAME="    driver_4in1, driver_armorcar, driver_azurian, driver_blkhole, driver_bwcasino, driver_calipso, driver_cavelon, driver_cclimber, driver_checkman, driver_ckong, driver_crush, driver_darkplnt, driver_devilfsh, driver_dingo, driver_dkong, driver_dkong3, driver_dkongjr, driver_dorodon, driver_dremshpr, driver_eggor, driver_eyes, driver_galaxian, driver_gmgalax, driver_guzzler, driver_hotshock, driver_hustler, driver_jumpbug, driver_jumpshot, driver_kingball, driver_ladybug, driver_levers, driver_lizwiz, driver_losttomb, driver_mariner, driver_mars, driver_mimonkey, driver_minefld, driver_moonal2, driver_mooncrst, driver_moonqsr, driver_moonwar, driver_mrkougar, driver_mrtnt, driver_mshuttle, driver_mspacman, driver_newsin7, driver_nmouse, driver_orbitron, driver_ozon1, driver_pacplus, driver_pickin, driver_pisces, driver_ponpoko, driver_puckman, driver_radarscp, driver_redufo, driver_rescue, driver_rockclim, driver_rpatrolb, driver_sbagman, driver_scobra, driver_scorpnmc, driver_scramble, driver_sfx, driver_shootbul, driver_skybase, driver_snapjack, driver_spcfrcii, driver_spclforc, driver_spdcoin, driver_stratgyx, driver_streakng, driver_superbon, driver_swimmer, driver_tazmania, driver_theend, driver_triplep, driver_turtles, driver_uniwars, driver_vanvan , driver_warofbug, driver_zigzag , driver_8ballact, driver_alibaba, driver_amidar, driver_anteater, driver_atlantis, driver_bagman, driver_cannonb, driver_cavenger"
COREDEFS += -DTINY_POINTER="&driver_4in1,&driver_armorcar,&driver_azurian,&driver_blkhole,&driver_bwcasino,&driver_calipso,&driver_cavelon,&driver_cclimber,&driver_checkman,&driver_ckong,&driver_crush,&driver_darkplnt,&driver_devilfsh,&driver_dingo,&driver_dkong,&driver_dkong3,&driver_dkongjr,&driver_dorodon,&driver_dremshpr,&driver_eggor,&driver_eyes,&driver_galaxian,&driver_gmgalax,&driver_guzzler,&driver_hotshock,&driver_hustler,&driver_jumpbug,&driver_jumpshot,&driver_kingball,&driver_ladybug,&driver_levers,&driver_lizwiz,&driver_losttomb,&driver_mariner,&driver_mars,&driver_mimonkey,&driver_minefld,&driver_moonal2,&driver_mooncrst,&driver_moonqsr,&driver_moonwar,&driver_mrkougar,&driver_mrtnt,&driver_mshuttle,&driver_mspacman,&driver_newsin7,&driver_nmouse,&driver_orbitron,&driver_ozon1,&driver_pacplus,&driver_pickin,&driver_pisces,&driver_ponpoko,&driver_puckman,&driver_radarscp,&driver_redufo,&driver_rescue,&driver_rockclim,&driver_rpatrolb,&driver_sbagman,&driver_scobra,&driver_scorpnmc,&driver_scramble,&driver_sfx,&driver_shootbul,&driver_skybase,&driver_snapjack,&driver_spcfrcii,&driver_spclforc,&driver_spdcoin,&driver_stratgyx,&driver_streakng,&driver_superbon,&driver_swimmer,&driver_tazmania,&driver_theend,&driver_triplep,&driver_turtles,&driver_uniwars,&driver_vanvan ,&driver_warofbug,&driver_zigzag ,&driver_8ballact,&driver_alibaba,&driver_amidar,&driver_anteater,&driver_atlantis,&driver_bagman,&driver_cannonb,&driver_cavenger"

# uses these CPUs
CPUS+=Z80@
CPUS+=S2650@
CPUS+=8085A@
CPUS+=I8039@
CPUS+=N2A03@
CPUS+=I8035@
CPUS+=G65816@
CPUS+=SPC700@

# uses these SOUNDs
SOUNDS+=SAMPLES@
SOUNDS+=TMS36XX@
SOUNDS+=CUSTOM@
SOUNDS+=DAC@
SOUNDS+=AY8910@
SOUNDS+=TMS5110@
SOUNDS+=NES@
SOUNDS+=NAMCO@
SOUNDS+=SN76496@

OBJS =  $(OBJ)/drivers/pacman.o $(OBJ)/machine/mspacman.o \
	$(OBJ)/machine/pacplus.o $(OBJ)/machine/jumpshot.o \
	$(OBJ)/machine/theglobp.o \
	$(OBJ)/machine/acitya.o \
	$(OBJ)/vidhrdw/pengo.o $(OBJ)/drivers/pengo.o \
	$(OBJ)/drivers/epos.o $(OBJ)/vidhrdw/epos.o \
	$(OBJ)/vidhrdw/cclimber.o $(OBJ)/sndhrdw/cclimber.o $(OBJ)/drivers/cclimber.o \
	$(OBJ)/vidhrdw/phoenix.o $(OBJ)/sndhrdw/phoenix.o $(OBJ)/drivers/phoenix.o \
	$(OBJ)/sndhrdw/pleiads.o \
	$(OBJ)/vidhrdw/galaxian.o $(OBJ)/sndhrdw/galaxian.o $(OBJ)/drivers/galaxian.o \
	$(OBJ)/vidhrdw/ladybug.o $(OBJ)/drivers/ladybug.o \
	$(OBJ)/vidhrdw/mrdo.o $(OBJ)/drivers/mrdo.o \
	$(OBJ)/vidhrdw/dkong.o $(OBJ)/sndhrdw/dkong.o $(OBJ)/drivers/dkong.o \
	$(OBJ)/machine/strtheat.o \
	$(OBJ)/vidhrdw/mario.o $(OBJ)/sndhrdw/mario.o $(OBJ)/drivers/mario.o \
	$(OBJ)/machine/snes.o $(OBJ)/vidhrdw/snes.o \
	$(OBJ)/sndhrdw/snes.o $(OBJ)/drivers/nss.o \
	$(OBJ)/drivers/cvs.o $(OBJ)/vidhrdw/cvs.o $(OBJ)/vidhrdw/s2636.o \
	$(OBJ)/machine/segacrpt.o \
	$(OBJ)/machine/scramble.o $(OBJ)/sndhrdw/scramble.o $(OBJ)/drivers/scramble.o \
	$(OBJ)/drivers/frogger.o \
	$(OBJ)/drivers/scobra.o \
	$(OBJ)/drivers/amidar.o \
	$(OBJ)/machine/bagman.o $(OBJ)/vidhrdw/bagman.o $(OBJ)/drivers/bagman.o \


# MAME specific core objs
COREOBJS += $(OBJ)/driver.o $(OBJ)/cheat.o


# generated text files
TEXTS += gamelist.txt

gamelist.txt: $(EMULATOR)
	@echo Generating $@...
	@$(CURPATH)$(EMULATOR) -gamelist -noclones -sortname > docs/gamelist.txt
